## survival 3.5-3

=== debian/changelog ===
survival (3.5-3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Feb 2023 21:35:23 -0600

=== debian/control ===
Source: survival
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-matrix
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
Homepage: https://cran.r-project.org/package=survival

Package: r-cran-survival
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}, r-cran-matrix
Replaces: r-recommended (<< 1.9.0)
Description: GNU R package for survival analysis
 This package provides functions and datasets for survival analysis:
 descriptive statistics, two-sample tests, parametric accelerated failure 
 models, Cox model. Delayed entry (truncation) is allowed for all models; 
 interval censoring for parametric models.
 .
 This package is part of the set of packages that are 'recommended' 
 by R Core and shipped with upstream source releases of R itself.

## survival 3.5-5

=== debian/changelog ===
survival (3.5-5-2.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Thu, 29 Jun 2023 02:19:05 +0000

survival (3.5-5-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:50:47 -0500

survival (3.5-5-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Mar 2023 08:39:40 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-matrix
+Build-Depends: debhelper, r-base-dev (>= 4.3.1), dh-r, r-cran-matrix
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git

## survival 3.5-7

=== debian/changelog ===
survival (3.5-7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Aug 2023 08:04:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, r-base-dev (>= 4.3.1), dh-r, r-cran-matrix
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-matrix
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git

## survival 3.5-8

=== debian/changelog ===
survival (3.5-8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Feb 2024 07:25:45 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-matrix
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-matrix
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git

## survival 3.6-4

=== DESCRIPTION ===
Title: Survival Analysis
Priority: recommended
Package: survival
Version: 3.6-4
Date: 2024-04-22
Depends: R (>= 3.5.0)
Imports: graphics, Matrix, methods, splines, stats, utils
LazyData: Yes
LazyDataCompression: xz
ByteCompile: Yes
Authors@R: c(person(c("Terry", "M"), "Therneau",
                    email="therneau.terry@mayo.edu",
	            role=c("aut", "cre")),
               person("Thomas", "Lumley", role=c("ctb", "trl"),
	       comment="original S->R port and R maintainer until 2009"),
	       person("Atkinson", "Elizabeth", role="ctb"),
	       person("Crowson", "Cynthia", role="ctb"))
Description: Contains the core survival analysis routines, including
	     definition of Surv objects, 
	     Kaplan-Meier and Aalen-Johansen (multi-state) curves, Cox models,
	     and parametric accelerated failure time models.
License: LGPL (>= 2)
URL: https://github.com/therneau/survival
NeedsCompilation: yes
Packaged: 2024-04-22 14:02:15 UTC; therneau
Author: Terry M Therneau [aut, cre],
  Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
    2009),
  Atkinson Elizabeth [ctb],
  Crowson Cynthia [ctb]
Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
Repository: CRAN
Date/Publication: 2024-04-24 06:50:02 UTC

## survival 3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.6-4
-Date: 2024-04-22
+Version: 3.7-0
+Date: 2024-06-01
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2024-04-22 14:02:15 UTC; therneau
+Packaged: 2024-06-03 15:17:04 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2024-04-24 06:50:02 UTC
+Date/Publication: 2024-06-05 16:30:02 UTC

## survival 3.7-0

=== debian/changelog ===
survival (3.7-0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Jun 2024 13:49:21 -0500

survival (3.6-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Apr 2024 07:53:55 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-matrix
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.0), dh-r, r-cran-matrix
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git

## survival 3.8

=== noweb/Makefile ===
# Over the next few years the plan is to migrate all of the material out of
#  noweb, with documentation in the methods vignette. I like noweb (T Therneau)
#  but its set of users is near zero, and the package needs to move to a more
#  open model of maintainance and developement.
#
PARTS = main.Rnw \
	coxph.Rnw \
	exact.nw \
	agreg.Rnw \
	coxsurv.Rnw \
	coxsurv3.Rnw \
	finegray.Rnw \
	predict.coxph.Rnw \
	survexp.Rnw \
	parse.Rnw \
	pyears.Rnw pyears2.Rnw \
	residuals.survfit.Rnw \
	residuals.survfit2.Rnw \
	residuals.survreg.Rnw \
	survfit.Rnw \
	msurv.nw \
	statefig.Rnw\
	yates.Rnw  yates2.Rnw\
	zph.Rnw \
	tail
#	concordance.Rnw \
#	coxsurv2.Rnw \
#	coxdetail.nw
#	plot.Rnw \
#	residuals.survfit2.Rnw\
#	tmerge.Rnw\

SFUN =  agreg.fit.R \
	coxph.R \
	finegray.R \
	parsecovar.R \
	predict.coxph.R \
	pyears.R \
	print.pyears.R \
	residuals.survreg.R\
	statefig.R \
	survexp.R \
	survfit.coxphms.R \
	yates.R \
	cox.zph.R
#       concordance.R \
#	model.matrix.coxph.R \
#	plot.survfit.R \
#	residuals.survfitcox.R \
#	survfit.R \
#	tmerge.R \

# CFUN =  concordance3.c \
CFUN =  coxexact.c

RDIR = ../R
RFUN = $(SFUN:%=$(RDIR)/%)
CFUN2= $(CFUN:%=../src/%)
DOCDIR= ../inst/doc

all:  noweb.sty doc fun

doc: code.pdf 

code.pdf: code.tex noweb.sty
	pdflatex code.tex
	pdflatex code.tex

code.nw: $(PARTS)
	cat $(PARTS) > code.nw

code.tex: code.nw
	echo "library(noweb); noweave('code.nw')" | R  --slave

$(SFUN): code.nw
$(CFUN): code.nw
$(CFUN2): code.nw
$(RFUN): code.nw

.PHONY: fun clean doc all
fun: $(RFUN) $(CFUN2) noweb.sty

test: $(RFUN)
	echo $(RFUN)

%.R: 
	echo "# Automatically generated from the noweb directory" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

%.S: 
	echo "# Automatically generated from the noweb directory" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

%.c: 
	echo "/* Automatically generated from the noweb directory */" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

clean:
	-rm -f code.nw code.log code.aux code.toc code.tex code.bbl code.blg code.out
	-rm -f noweb.sty

noweb.sty:
	echo 'library(noweb); data(noweb); cat(noweb.sty, sep="\n", file="noweb.sty")' |  R  --slave

## survival 3.8-3

=== debian/changelog ===
survival (3.8-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Dec 2024 13:08:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.0), dh-r, r-cran-matrix
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-matrix
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
 Homepage: https://cran.r-project.org/package=survival

## survival 3.8-6

=== debian/changelog ===
survival (3.8-6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Jan 2026 06:20:12 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-matrix
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-matrix
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
 Homepage: https://cran.r-project.org/package=survival

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/survival_([-\d\.]*)\.tar.gz
